package com.bwie.auth.service;

import com.bwie.common.domain.User;
import com.bwie.common.domain.response.JwtResponse;
import com.bwie.common.result.Result;

public interface AuthService {

    /**
     * 发送验证码
     */
    Result sendCode(String phone);

    /**
     * 登录
     */
    Result<JwtResponse> login(User user);

    /**
     * 获取用户信息
     */
    User info();

    /**
     * 退出
     */
    void logout();

}
