package com.bwie.expressage.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.bwie.common.domain.Buy;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface BuyMapper extends BaseMapper<Buy> {

    /**
     * 购买
     */
    int addBuy(Buy buy);

    /**
     * 购买列表
     */
    List<Buy> show();

    /**
     * 确认收货修改状态
     */
    int updateStatus(@Param("buyId")Integer buyId);

}
