package com.bwie.expressage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.bwie.common.domain.Buy;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface BuyService extends IService<Buy> {

    /**
     * 购买
     */
    int addBuy(Buy buy);

    /**
     * 购买列表
     */
    List<Buy> show();

    /**
     * 确认收货修改状态
     */
    int updateStatus(@Param("buyId")Integer buyId);

}
